1

Closed

AutoMapper extension is not working with AutoMapper 3.0.0

description

Compiler now throws FileNotFoundException when I use
Bootstrapper.With.AutoMapper().And.Ninject().Start();
ever since I updated AutoMapper to 3.0.0. Exception message:
Could not load file or assembly 'AutoMapper, Version=2.2.1.0, Culture=neutral, PublicKeyToken=be96cd2c38ef1005' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)
I am using .net 4.0 and asp.net mvc 4
Closed Sep 16, 2013 at 10:06 PM by luisbocaletti
Fixed in Bootstrapper.AutoMapper 2.3.11

comments

GermanF wrote Sep 4, 2013 at 4:32 PM

With .net 4.5 and asp.net mvc 4, I have the same error
  • Bootstrapper 2.0.3.9
  • Automapper 3.0.0
  • Bootstrapper.AutoMapper 2.0.3.10

luisbocaletti wrote Sep 5, 2013 at 2:39 PM

Yes. I need to update the package to use AutoMapper 3.0.
Expect the new version very soon.

GermanF wrote Sep 5, 2013 at 6:35 PM

Hi!

The workaround is install this manually automapper version 2.2.1

This work fine for me, so now i have this:
  • Bootstrapper 2.0.3.9
  • Automapper 2.2.1
  • Bootstrapper.AutoMapper 2.0.3.10
Cheers!

luisbocaletti wrote Sep 16, 2013 at 9:14 PM

I just published Bootstrapper.Automapper 2.0.3.11 which uses Automapper 3.0. Please give it a try. Thanks

GermanF wrote Sep 16, 2013 at 9:47 PM

I upgraded the nuget from the solution package manager and work fine!

Image

luisbocaletti wrote Sep 16, 2013 at 10:06 PM

I'm glad to hear that. :)